> For the complete documentation index, see [llms.txt](https://docs.openbrim.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openbrim.org/developers/paramml-developer-guide/core-objects/finite-elements-objects/feline.md).

# FELine

An FELine object is used to model beams, columns, and other structural elements that connect two Node objects. To create an FELine object, two Node objects and a Section object are required. The beta parameter represents the angle of rotation of the section around the Z-axis and is expressed in radians.

**Example Syntax:**

```
...
<O T="FELine">
...
...
</O>
```

**Example:**

```xml
<O N="FELineObject1" T="Project" Category="FEM Objects" TransAlignRule="Right">
    <!-- created by ParamML Examples on 06.02.2023 -->
    <O N="AnalyticalLine1" T="FELine" Type="@Beam" Node1="@No1\|Node" Node2="@No2\|Node" Section="@ColSec1\|Section" Group="@NULL\|FEGroup" />
    <O N="AnalyticalLine2" T="FELine" Type="@Beam" Node1="@No3\|Node" Node2="@No4\|Node" Section="@ColSec2\|Section" Group="@NULL\|FEGroup" />
    <O N="GP1" T="Group" Y="0">
        <O N="No1" T="Node" X="0" Y="0" Z="0" />
        <O N="No2" T="Node" X="0" Y="0" Z="height" />
    </O>
    <O N="GP2" T="Group" Y="0">
        <O N="No3" T="Node" X="0" Y="100" Z="0" />
        <O N="No4" T="Node" X="0" Y="100" Z="height" />
    </O>
    <P N="height" V="60" />
    <P N="width" V="10" />
    <P N="depth" V="20" />
    <P N="th" V="2" D="Wall thickness of the tube" />
    <O N="Li1" T="Line" Y="0">
        <O T="Point" X="0" Y="0" Z="0" />
        <O T="Point" X="0" Y="0" Z="height" />
        <O N="ColSec1" T="Section">
            <P N="Material" V="C20/25" T="Material" />
            <O T="Shape">
                <O T="Point" X="-width/2" Y="-depth/2" Z="0" />
                <O T="Point" X="-width/2" Y="depth/2" Z="0" />
                <O T="Point" X="width/2" Y="depth/2" Z="0" />
                <O T="Point" X="width/2" Y="-depth/2" Z="0" />
            </O>
        </O>
    </O>
    <O N="Li2" T="Line" Y="100">
        <O T="Point" X="0" Y="0" Z="0" />
        <O T="Point" X="0" Y="0" Z="height" />
        <O N="ColSec2" T="Section">
            <P N="Material" V="C20/25" T="Material" />
            <O T="Shape">
                <O T="Point" X="-width/2" Y="-depth/2" Z="0" />
                <O T="Point" X="-width/2" Y="depth/2" Z="0" />
                <O T="Point" X="width/2" Y="depth/2" Z="0" />
                <O T="Point" X="width/2" Y="-depth/2" Z="0" />
            </O>
        </O>
    </O>
</O>
```

![](https://openbrim.atlassian.net/wiki/download/attachments/2161836123/image-20230206-142708.png?api=v2) To view this example in the library, see (<https://openbrim.org/platform/?application=inc&author=ParamML_Examples_OpenBrIM+Platform&obj=objidhbqjlrqadt4eocjjjljzt>)

**Example:**

```xml
<O N="FELineObject2" T="Project" Category="FEM Objects" TransAlignRule="Right">
    <!-- created by ParamML Examples on 06.02.2023 -->
    <O N="Frame" T="Repeat" S="0" E="4" I="1" CTRL="j" j="0">
        <O N="Geometry" T="Group">
            <P N="h_col" V="50" D="column height" />
            <P N="b_col" V="1" D="column width" />
            <P N="d_col" V="1" D="column depth" />
            <P N="b_bm" V="1" D="beam width" />
            <P N="d_bm" V="1" D="beam depth" />
            <P N="s_col" V="15" D="column spacing" />
        </O>
        <O N="Column3D" T="Line">
            <O T="Point" X="j* s_col" Y="0" Z="0" />
            <O T="Point" X="j* s_col" Y="0" Z="h_col" />
            <O N="ColSec1" T="Section">
                <O T="Point" Y="d_col/2" X="b_col/2" />
                <O T="Point" Y="d_col/2" X="-b_col/2" />
                <O T="Point" Y="-d_col/2" X="-b_col/2" />
                <O T="Point" Y="-d_col/2" X="b_col/2" />
            </O>
        </O>
        <O N="Beam" T="Line">
            <O T="Point" X="(j-1) * s_col" Y="0" Z="h_col" />
            <O T="Point" X="j * s_col" Y="0" Z="h_col" />
            <O N="BeamSec1" T="Section">
                <O T="Point" X="b_bm/2" Y="d_bm/2" />
                <O T="Point" X="b_bm/2" Y="-d_bm/2" />
                <O T="Point" X="-b_bm/2" Y="-d_bm/2" />
                <O T="Point" X="-b_bm/2" Y="d_bm/2" />
            </O>
        </O>
        <O N="NodeBottom" T="Node" X="j* s_col">
            <P N="Tx" V="-1" />
            <P N="Ty" V="-1" />
            <P N="Tz" V="-1" />
            <P N="Rx" V="-1" />
            <P N="Ry" V="-1" />
            <P N="Rz" V="-1" />
        </O>
        <O N="NodeTop" T="Node" X="j* s_col" Z="h_col" />
        <O N="L1" T="FELine" Y="100">
            <P N="Node1" V="NodeBottom" T="Node" />
            <P N="Node2" V="NodeTop" T="Node" />
            <P N="Section" V="ColSec1" T="Section" />
            <P N="Beta" V="0" />
        </O>
        <O N="LB" T="FELine">
            <P N="Guard" V="j .GT. 0" />
            <P N="Node1" V="Frame[j-1].NodeTop" T="Node" />
            <P N="Node2" V="Frame[j].NodeTop" T="Node" />
            <P N="Section" V="BeamSec1" T="Section" />
            <P N="Beta" V="0" />
        </O>
    </O>
</O>
```

![](https://openbrim.atlassian.net/wiki/download/attachments/2161836123/image-20230206-150949.png?api=v2) To view this example in the library, see (<https://openbrim.org/platform/?application=inc&author=ParamML_Examples_OpenBrIM+Platform&obj=objidhmcw7okqstd8br6j3dgpnj>)

Rigid diaphragms have extremely high in-plane stiffness properties, so they do not experience membrane deformation or generate the associated forces.

Given these benefits, we can use rigid diaphragms for calculations in our projects.

In OpenBrIM's Finite Element Analysis, rigid diaphragms can be defined “**Rigid Line”** as shown in the example.

**Example:**

```xml
<O N="FELineObject3" T="Project" Category="FEM Objects" TransAlignRule="Right">
    <!-- created by ParamML Examples on 06.02.2023 -->
    <O N="RigidSec" T="Section" Material="@RigidMaterial\|Material" Ax="6400" Ay="6400" Az="6400" J="3413333.3333" Iy="3413333.3333" Iz="3413333.3333" Izy="0" ComputeProp="1" />
    <O N="RigidMaterial" T="Material" E="29000" Nu="0.3" G="11153.8462" d="0" a="0.000006" Type="@concrete" Fc28="0" />
    <O N="Nod1" T="Node" X="0" Y="0" Z="0" />
    <O N="Nod2" T="Node" X="0" Y="0" Z="100" />
    <O N="Line5" T="FELine">
        <P N="Node1" V="Nod1" T="Node" />
        <P N="Node2" V="Nod2" T="Node" />
        <P N="Section" V="RigidSec" T="Section" />
    </O>
</O>
```

![](https://openbrim.atlassian.net/wiki/download/attachments/2161836123/image-20230207-085858.png?api=v2) To view this example in the library, see (<https://openbrim.org/platform/?application=inc&author=ParamML_Examples_OpenBrIM+Platform&folder=FEM+Objects&obj=objidoby158e9iabvr1q9rt3k5>)

**Parameters of FELine Object:**

\| | **Label** | **Mandatory** | **Name and Type Attributes** | **Default Description and Value Attributes** | **Other Attributes** | | --- | --- | --- | --- | --- | | 1 | Node 1 | Yes | N="Node1" T="Node" | D="Node 1: The start node of the finite element." V="" | Role="Input" | | 2 | Node 2 | Yes | N="Node2" T="Node" | D="Node 2: The end node of the finite element." V="" | Role="Input" | | 3 | Beta Angle | No | N="BetaAngle" T="Expr" | D="Beta Angle: The orientation angle to rotate the cross-section about the length of the finite element." V="0" | Role="Input" UT="Angle" UC="Section" | | 4 | Section | Yes | N="Section" T="Section" | D="Section: The cross-section property of the finite element." V="" | Role="Input" |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.openbrim.org/developers/paramml-developer-guide/core-objects/finite-elements-objects/feline.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
